main()
{

	setCullFog (500, 7000, .39, .30, .29, 0 );
	ambientPlay("ambient_day");

	// set the nighttime flag to be off
	setcvar("sv_night", "0" );

	maps\mp\planes_flyby::main();
      
	maps\mp\_load::main();

	// got tanks and jeeps in the map?
	level thread maps\mp\_tankdrive_gmi::main();
	level thread maps\mp\_jeepdrive_gmi::main();        
	level thread maps\mp\_flak_gmi::main();
	
	if(getCvar("scr_bas_basehealth") == "")		
		setCvar("scr_bas_basehealth", "24500");	
	if(getCvar("scr_bas_damagedhealth") == "")	
		setCvar("scr_bas_damagedhealth", getCvarInt("scr_bas_basehealth")/2);


	game["bas_allies_rubble"] 	= "xmodel/mp_bunker_rhinevalley_rubble";
	game["bas_allies_complete"] 	= "xmodel/mp_bunker_rhinevalley";
	game["bas_allies_damaged"] 	= "xmodel/mp_bunker_rhinevalley_predmg";
	game["bas_allies_destroyed"] 	= "xmodel/mp_bunker_rhinevalley_dmg";
	game["bas_axis_rubble"] 	= "xmodel/mp_bunker_rhinevalley_rubble";
	game["bas_axis_complete"] 	= "xmodel/mp_bunker_rhinevalley";
	game["bas_axis_damaged"] 	= "xmodel/mp_bunker_rhinevalley_predmg";
	game["bas_axis_destroyed"] 	= "xmodel/mp_bunker_rhinevalley_dmg";


        maps\mp\_util_mp_gmi::base_swapper();

	game["layoutimage"] = "mp_arnsdorf";
	game["bas_layoutimage"] = "mp_arnsdorf";
	
	game["allies"] = "american";
	game["axis"] = "german";

	game["hud_allies_victory_image"] = "gfx/hud/hud@mp_victory_americans.dds";
	game["hud_axis_victory_image"] 	= "gfx/hud/hud@mp_victory_germany.dds";

        game["american_soldiertype"] = "airborne";
	game["american_soldiervariation"] = "normal";
	game["german_soldiertype"] = "wehrmacht";
	game["german_soldiervariation"] = "normal";
	
        game["attackers"] = "allies";
	game["defenders"] = "axis";
	
	game["compass_range"] = 6124;				//How far the compass is zoomed in
	game["sec_type"] = "hold";				//What type of secondary object


}
move_bases()
{				
	base_movers = [];	
		
	entitytypes = getentarray();
	for(i = 0; i < entitytypes.size; i++)
	{
		if(isdefined(entitytypes[i].groupname))
		{
			if(entitytypes[i].groupname == "base_mover")
			{		
				entitytypes[i] moveto(entitytypes[i].origin+(0,0,256), 0.1,0,0);	
			}
	
		}
	}
}
				